<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEformFilingFilingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: eform_filing_filings
         */
        Schema::create('eform_filing_filings', function ($table) {
            $table->increments('id');
            $table->integer('filing_type')->nullable();
            $table->integer('business_id')->nullable();
            $table->string('tax_period', 40)->nullable();
            $table->string('first_used_month', 40)->nullable();
            $table->enum('final_return', ['Yes', 'No'])->nullable();
            $table->float('tax_amount')->nullable();
            $table->string('tax_year_end_month', 3)->nullable();
            $table->enum('loss_event', ['Yes', 'No'])->nullable();
            $table->date('sold_on')->nullable();
            $table->enum('used_for_logging', ['Yes', 'No'])->nullable();
            $table->text('explanation')->nullable();
            $table->text('attachment')->nullable();
            $table->string('sold_to_name', 30)->nullable();
            $table->string('sold_to_phone', 13)->nullable();
            $table->string('sold_to_email', 30)->nullable();
            $table->text('sold_to_address1')->nullable();
            $table->text('sold_to_address2')->nullable();
            $table->integer('sold_to_country')->nullable();
            $table->integer('sold_to_state')->nullable();
            $table->string('sold_to_city', 20)->nullable();
            $table->string('sold_to_zip', 5)->nullable();
            $table->float('service_fee')->nullable();
            $table->float('subtotal')->nullable();
            $table->float('sales_tax')->nullable();
            $table->float('total')->nullable();
            $table->float('bill_to_card')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('slug', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('eform_filing_filings');
    }
}
