<?php

namespace Eform\Filing\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Eform\Filing\Models\Filings;


class FilingsAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'eform.filing.filings';
    protected $eventClass = \Eform\Filing\Events\FilingsAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Filings $filings, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $filings;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Filings $filings, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $filings = $filings->create($attributes);
        return $filings;
    }

    public function update(Filings $filings, array $request)
    {
        $attributes = $request;
        $filings->update($attributes);
        return $filings;
    }

    public function destroy(Filings $filings, array $request)
    {
        $filings->delete();
        return $filings;
    }

    public function copy(Filings $filings, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $filings = $filings->replicate();
            $filings->created_at = Carbon::now();
            $filings->save();
            return $filings;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $filings->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $filings;
    }


}
