<?php
namespace Eform\Filing\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Eform\Filing\Events\FilingsAction as FilingsActionEvent;
use Eform\Filing\Models\Filings;

class FilingsAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $filings;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param FilingsActionEvent $filings
     */
    public function __construct(FilingsActionEvent $filings)
    {
        $this->action = $event->action;
        $this->filings = $filings;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Filings Approved - ' . config('app.name'))
            ->view('filing::filings.email.action', ['data' => $this->filings]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
