<?php

namespace Eform\Filing\Policies;

use Eform\Filing\Models\Filings;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait FilingsAction
{

    /**
     * Determine if the given user can copy the given filings.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Filings $filings)
    {

        if ($authUser->canDo('filing.filings.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given filings.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Filings $filings) {

        if ($authUser->canDo('filing.filings.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given filings.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Filings $filings)
    {

        if ($authUser->canDo('filing.filings.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
