<?php

namespace Eform\Filing\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait FilingsExim
{

    /**
     * Determine if the given user can approve the given filings.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('filing.filings.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given filings.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('filing.filings.export')) {
            return true;
        }

        return false;
    }
}
